## ros-rolling-dynamixel-workbench-msgs 2.0.3

=== CMakeLists.txt ===
################################################################################
# Set minimum required version of cmake, project name and compile options
################################################################################
cmake_minimum_required(VERSION 3.5)
project(dynamixel_workbench_msgs)

if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

if(MSVC)
  add_compile_definitions(
    _USE_MATH_DEFINES
  )
endif()

################################################################################
# Find ament packages and libraries for ament and system dependencies
################################################################################
find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(std_msgs REQUIRED)

################################################################################
# Declare ROS messages, services and actions
################################################################################
set(msg_files
  "msg/AX.msg"
  "msg/EX.msg"
  "msg/MX.msg"
  "msg/MX2.msg"
  "msg/MX2Ext.msg"
  "msg/MXExt.msg"
  "msg/PRO.msg"
  "msg/PROExt.msg"
  "msg/RX.msg"
  "msg/XH.msg"
  "msg/XL.msg"
  "msg/XL320.msg"
  "msg/XM.msg"
  "msg/XMExt.msg"
  "msg/DynamixelState.msg"
  "msg/DynamixelStateList.msg"
  "msg/DynamixelInfo.msg"
  "msg/DynamixelLoadInfo.msg"
)

set(srv_files
  "srv/GetDynamixelInfo.srv"
  "srv/DynamixelCommand.srv"
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  DEPENDENCIES std_msgs
  ADD_LINTER_TESTS
)

################################################################################
# Macro for ament package
################################################################################
ament_export_dependencies(rosidl_default_runtime)
ament_export_dependencies(std_msgs)
ament_package()

=== debian/changelog ===
ros-rolling-dynamixel-workbench-msgs (2.0.3-3jammy) jammy; urgency=high

  * release for ROS2
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Thu, 06 Oct 2022 07:00:00 -0000

ros-rolling-dynamixel-workbench-msgs (2.0.0-3jammy) jammy; urgency=high

  * deleted unused msg and srv
  * modified for dynamixel-workbench 2.0.0
  * Contributors: Darby Lim

 -- Will Son <willson@robotis.com>  Fri, 30 Nov 2018 08:00:00 -0000

ros-rolling-dynamixel-workbench-msgs (1.0.0-3jammy) jammy; urgency=high

  * added PROext msgs
  * deleted homing offset var
  * Contributors: Darby Lim

 -- Will Son <willson@robotis.com>  Thu, 19 Jul 2018 07:00:00 -0000

ros-rolling-dynamixel-workbench-msgs (0.2.0-3jammy) jammy; urgency=high

  * changed package.xml to format v2
  * created .travis.yml
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Tue, 20 Mar 2018 07:00:00 -0000

ros-rolling-dynamixel-workbench-msgs (0.1.7-3jammy) jammy; urgency=high

  * modified description
  * modified msg and srv files
  * modified package config
  * changed license
  * Contributors: Darby Lim

 -- Will Son <willson@robotis.com>  Mon, 19 Feb 2018 08:00:00 -0000

ros-rolling-dynamixel-workbench-msgs (0.1.6-3jammy) jammy; urgency=high

  * modified for independent package
  * added dynamixel new model: XL, XM, XH, PRO
  * Contributors: Darby Lim

 -- Will Son <willson@robotis.com>  Thu, 19 Oct 2017 07:00:00 -0000

ros-rolling-dynamixel-workbench-msgs (0.1.5-3jammy) jammy; urgency=high

  * modified the cmake of toolbox
  * Contributors: Darby Lim

 -- Will Son <willson@robotis.com>  Tue, 23 May 2017 07:00:00 -0000

ros-rolling-dynamixel-workbench-msgs (0.1.4-3jammy) jammy; urgency=high

  * added dynamixel new model: XL430_W250
  * added dynamixel new model: XH
  * Contributors: Darby Lim

 -- Will Son <willson@robotis.com>  Mon, 24 Apr 2017 07:00:00 -0000

ros-rolling-dynamixel-workbench-msgs (0.1.3-3jammy) jammy; urgency=high

  * add drive_mode in XM series
  * modified msgs files
  * Contributors: Darby Lim

 -- Will Son <willson@robotis.com>  Tue, 29 Nov 2016 08:00:00 -0000

ros-rolling-dynamixel-workbench-msgs (0.1.2-3jammy) jammy; urgency=high

  * add comment in msgs file
  * modify beta test feedback
  * Contributors: Darby Lim

 -- Will Son <willson@robotis.com>  Mon, 31 Oct 2016 07:00:00 -0000

ros-rolling-dynamixel-workbench-msgs (0.1.1-3jammy) jammy; urgency=high

  * Revert "add baudrate combobox and modify velocity controller"
    This reverts commit f4f83761d687c40660a2c864aa4fcbebe1df4ea4.
  * add baudrate combobox and modify velocity controller
  * Contributors: Darby Lim

 -- Will Son <willson@robotis.com>  Fri, 21 Oct 2016 07:00:00 -0000

ros-rolling-dynamixel-workbench-msgs (0.1.0-3jammy) jammy; urgency=high

  * modified the package information for release
  * edit cmake and xml files
  * modify message
  * add multiport controller and torque controller
  * add position, velocity controller and pan-tilt, wheel tutorials
  * add GUI package and modify position controller
  * add pan tilt and wheel node in tutorial package
  * add tutorial package
  * add position, velocity, torque control package and change workbench_tool to workbench_toolbox
  * add dynamixel controller package
  * XL, Pro_L42 test Complete
  * AX, RX, MX, XM, PRO test complete
  * add various dynamixel motor
  * revise package
  * control and monitor dynamixel X-series using control table
  * multiple dynamixel-x(protocol 2.0) monitor and seperate package including dynamixel control function from monitor package
  * added dynamixel remote node
  * single dynamixel X-series monitoring
  * addition to dynamixel position and velocity monitoring
  * dynamixel_workbench_monitor set by .yaml
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Fri, 23 Sep 2016 07:00:00 -0000

=== debian/control ===
Source: ros-rolling-dynamixel-workbench-msgs
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-generators, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: http://wiki.ros.org/dynamixel_workbench_msgs
Standards-Version: 3.9.2

Package: ros-rolling-dynamixel-workbench-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-runtime, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: This package includes ROS messages and services for dynamixel_workbench packages

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-dynamixel-workbench-msgs//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
